package com.alibaba.druid.sql.dialect.db2.ast.stmt.alterTable;

import com.alibaba.druid.sql.ast.SQLExpr;
import com.alibaba.druid.sql.ast.statement.SQLAlterTableItem;
import com.alibaba.druid.sql.dialect.db2.ast.DB2SQLObjectImpl;
import com.alibaba.druid.sql.dialect.db2.visitor.DB2ASTVisitor;

public class DB2AlterTableSetTableSpace extends DB2SQLObjectImpl implements SQLAlterTableItem {
   private SQLExpr name;

   public void accept0(DB2ASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.name);
      }

      visitor.endVisit(this);
   }

   public SQLExpr getName() {
      return this.name;
   }

   public void setName(SQLExpr name) {
      this.name = name;
      name.setParent(this);
   }

   public DB2AlterTableSetTableSpace clone() {
      DB2AlterTableSetTableSpace c = new DB2AlterTableSetTableSpace();
      c.setName(this.name.clone());
      return c;
   }
}
